aboutsummaryrefslogtreecommitdiff
path: root/ebuild/src_compile.bash
diff options
context:
space:
mode:
Diffstat (limited to 'ebuild/src_compile.bash')
-rw-r--r--ebuild/src_compile.bash5
1 files changed, 3 insertions, 2 deletions
diff --git a/ebuild/src_compile.bash b/ebuild/src_compile.bash
index 6f5c4d3..4147c6d 100644
--- a/ebuild/src_compile.bash
+++ b/ebuild/src_compile.bash
@@ -31,8 +31,9 @@ src_compile()
ebuild_f_compile()
{
- mkdir -p ${S}
- cd ${S} || die "cd to \${S} (\"${S}\") failed"
+ if [[ -d "${S}" ]]; then
+ cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ fi
if hasq "compile" ${RESTRICT} ; then
ebuild_section "Skipping src_compile (RESTRICT)"